body{
    font-family: 'Roboto', arial;
    background-color: rgb(235, 230, 230);
    position: absolute;
    right: 20%;
    left: 20%;
}
header{
    color:rgb(148, 37, 17);
    font-size: 24px;
    margin: 0;
    margin-top: 0;
    border: 0;
}
h1{
    text-align: center;
    font-size: 28px;
    background-color: rgb(177, 177, 177);
    padding: 1rem;
    margin: 0;
    border-radius: 0.5rem;
    border: 0;
}
h2{
    background-color: rgb(197, 192, 192);
    color: rgb(148, 37, 17);
    padding: 0.5rem;
    margin: 0;
    border-radius: 0.5rem;
    border: 0;
    text-align: center;
}
form input{
    margin-bottom: 1rem;    
    border-radius: 1rem;
    padding: 0.5rem;
    font-size: 14px;
    border: 0;
    text-align: center;
}
#consulta p{
    display: flex;
    flex-direction: column;
    margin: 0.5rem;
    padding: 0.5rem;
    color: white;
    align-items: flex-end;
    font-size: 24px;
}
#formulario{
    background-color: rgb(139, 77, 77);
    padding: 2rem;
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    font-size: 0.8rem; 
    border-radius: 0.5rem;
    justify-content: center;
}
.container{
    display: flex;
    flex-direction: column;
    margin: 0.5rem;
    font-size: 1rem;
    padding: 0.5rem;
    background-color: rgb(201, 115, 115);
    color: white;
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
    width: 500px;
}
#opcoes_formulario label{
    margin-bottom: 1rem;
    align-items: center;
    justify-content: center;
}
.container_consulta{
    display: flex;
    flex-direction: column;
    margin: 0.5rem;
    font-size: 1rem;
    padding: 0.5rem;
    background-color: rgb(201, 115, 115);
    color: white;
    align-items: flex-end;
    border-radius: 1rem;
}
#botao_compartilhar{
    margin: auto;
    background-color: rgb(255, 255, 255);
    border: 0;
    color: rgb(148, 37, 17);
    font-weight: bolder;
    padding: 0.8rem;
    border-radius: 2rem;
    display: flex;
    text-align: center;
    align-items: center;
    
}
#botao_pesquisar{
    margin: auto;
    background-color: rgb(255, 255, 255);
    border: 0;
    font-weight: bolder;
    color: rgb(148, 37, 17);
    padding: 0.8rem;
    border-radius: 2rem;
    display: flex;
    text-align: center;
    align-items: center;
}
#botao_compartilhar:hover{
    transition: 0.5s;
    color: white;
    background-color: rgb(139, 77, 77);
}
#botao_compartilhar:active{
    background-color: rgb(75, 20, 0);
}
#botao_pesquisar:hover{
    transition: 0.5s;
    background-color: rgb(139, 77, 77);
    color: white;
}
#botao_pesquisar:active{
    background-color: rgb(75, 20, 0);
}
#compartilhar{
    align-self: center;
    margin-top: 0.5rem;
}
#label_usuario{
    color: white;
    font-size: 1rem;
    padding: 0.5rem;
    margin: 0.5rem;
}
section#consulta{
    padding: 1rem;
}
#div_consulta{
    margin: 1rem;
}
footer{
    color: rgb(148, 37, 17);
    background-color: rgb(177, 177, 177);
    text-align: center;
    margin: 0;
    font-size: 14px;
}
#rodape{
    display: flex;
    margin: 0;
    align-content: center;
    justify-content: center;

}
#rodape a{
    margin: 0.5rem;
    text-decoration: none;
    color: rgb(148, 37, 17);
    transition: 0.5s;
}
#rodape a:hover{
    color: rgb(221, 95, 37);
}
#desenvolvedor p{
    margin: 0.5rem;
}
#desenvolvedor{
    display: flex;
    align-content: center;
    justify-content: center;
    border-bottom: 1px solid white; 
}
#confirmado{
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(248, 116, 8);
    padding: 1.5rem;
    width: 12rem;
    text-align: center;
    opacity: 0;
    transition: 2s ease;
    font-weight: bolder;
    border-radius: 2rem;
}
#resultado{
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(248, 116, 8);
    padding: 1.5rem;
    width: 12rem;
    text-align: center;
    opacity: 0;
    transition: 2s ease;
    font-weight: bolder;
    border-radius: 2rem;
}
.mostrarConfirmado{
    opacity: 1 !important;
}
.mostrarResultado{
    opacity: 1 !important;
}
#impressao_codigo{
    background-color: rgb(139, 77, 77);
    display: flex;
    text-align: center;
    border-radius: 0.5rem;
    border: 0;
    align-content: center;
    justify-content: center;
    padding: 1rem;
}
#impressao_codigo p{
    background-color: rgb(201, 115, 115);
    color: white;
    margin: 0;
    display: flex;
    text-align: center;
    align-content: center;
    justify-content: center;
    border-radius: 0.5rem;
    padding: 0.5rem;
    margin-right: 1rem;
    border: 0;
}
pre{
    border-radius: 0.5rem;
    border: 0;
    margin: 0;
    background-color: rgb(34, 34, 34);
    color: white; 
    padding: 0.5rem;
}
img{
    width: 30px;
}